The REST Admin API is a legacy API as of October 1, 2024. Starting April 1, 2025, all new public apps must be built exclusively with the GraphQL Admin API. For details and migration steps, visit our migration guide.
Gift Card Adjustment
gift_card_adjustments access scope.A gift card adjustment is a way to adjust the balance of a gift card. Balances cannot be adjusted to below $0. Balances are updated as soon as you receive a successful response.
When creating a gift card adjustment, you may also set note, remote_transaction_ref, and remote_transaction_url.
Endpoints
- post/admin/api/latest/gift_
cards/{gift_ card_ id}/adjustments. json Create a new Gift Card Adjustment - get/admin/api/latest/gift_
cards/{gift_ card_ id}/adjustments. json Receive a list of all Gift Card Adjustments - get/admin/api/latest/gift_
cards/{gift_ card_ id}/adjustments/{adjustment_ id}. json Receive a single Gift Card Adjustment
The Gift Card Adjustment resource
Properties
A unique numeric identifier for the adjustment.
A numeric sequence number for this adjustment with respect to the gift card.
A number (signed) representing the value of the adjustment.
The text of an optional note that can be attached to the adjustment. This value is not visible to customers.
The text of an optional reference note that can be attached to the adjustment. This value is not visible to customers.
An optional reference URL that can be attached to the adjustment. This value is not visible to customers.
A unique numeric identifier of the application that issued the adjustment (if it was issued by an application).
A unique numeric identifier of the user that issued the adjustment (if it was issued by a user).
A unique numeric identifier of the order transaction that issued the adjustment (if it was caused by an application of a gift card to an order).
The date and time when the adjustment was created. The API returns this value in ISO 8601 format.
The date and time when the adjustment was imported, in ISO 8601 format. This value can be set to dates in the past when importing from other systems. If no value is provided, it will be auto-generated.
The Gift Card Adjustment resource
Anchor to POST request, Create a new Gift Card AdjustmentpostCreate a new Gift Card Adjustment
Create an adjustment that references an external transaction
Create an adjustment that references an external transaction
Credit a gift card to increase the balance
Credit a gift card to increase the balance
Debit a gift card to decrease the balance
Debit a gift card to decrease the balance
Record a gift card adjustment as if it happened in the past
Record a gift card adjustment as if it happened in the past
/admin/api/2026-07/gift_ cards/1035197676/adjustments. json
Response
examples
Create an adjustment that references an external transaction
curl -d '{"adjustment":{"amount":10,"remote_transaction_ref":"gift_card_app_transaction_193402","remote_transaction_url":"http://example.com/my-gift-card-app/gift_card_adjustments/193402"}}' \ -X POST "https://your-development-store.myshopify.com/admin/api/2026-07/gift_cards/1035197676/adjustments.json" \ -H "X-Shopify-Access-Token: {access_token}" \ -H "Content-Type: application/json"use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->remote_transaction_ref = "gift_card_app_transaction_193402"; $gift_card_adjustment->remote_transaction_url = "http://example.com/my-gift-card-app/gift_card_adjustments/193402"; $gift_card_adjustment->post( 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->remote_transaction_ref = "gift_card_app_transaction_193402"; $gift_card_adjustment->remote_transaction_url = "http://example.com/my-gift-card-app/gift_card_adjustments/193402"; $gift_card_adjustment->post( test_session, 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->remote_transaction_ref = "gift_card_app_transaction_193402"; $gift_card_adjustment->remote_transaction_url = "http://example.com/my-gift-card-app/gift_card_adjustments/193402"; $gift_card_adjustment->post( 1035197676, );response
HTTP/1.1 201 Created{"adjustment":{"id":1064273917,"gift_card_id":1035197676,"api_client_id":755357713,"user_id":null,"order_transaction_id":null,"number":1,"amount":"10.00","processed_at":"2026-07-01T12:17:01-04:00","created_at":"2026-07-01T12:17:01-04:00","updated_at":"2026-07-01T12:17:01-04:00","note":null,"remote_transaction_ref":"gift_card_app_transaction_193402","remote_transaction_url":"http://example.com/my-gift-card-app/gift_card_adjustments/193402"}}Credit a gift card to increase the balance
curl -d '{"adjustment":{"amount":10,"note":"Customer refilled gift card by $10"}}' \ -X POST "https://your-development-store.myshopify.com/admin/api/2026-07/gift_cards/1035197676/adjustments.json" \ -H "X-Shopify-Access-Token: {access_token}" \ -H "Content-Type: application/json"use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->note = "Customer refilled gift card by $10"; $gift_card_adjustment->post( 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->note = "Customer refilled gift card by $10"; $gift_card_adjustment->post( test_session, 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->note = "Customer refilled gift card by $10"; $gift_card_adjustment->post( 1035197676, );response
HTTP/1.1 201 Created{"adjustment":{"id":1064273916,"gift_card_id":1035197676,"api_client_id":755357713,"user_id":null,"order_transaction_id":null,"number":1,"amount":"10.00","processed_at":"2026-07-01T12:17:01-04:00","created_at":"2026-07-01T12:17:01-04:00","updated_at":"2026-07-01T12:17:01-04:00","note":"Customer refilled gift card by $10","remote_transaction_ref":null,"remote_transaction_url":null}}Debit a gift card to decrease the balance
curl -d '{"adjustment":{"amount":-20,"note":"Customer spent $20 via external service"}}' \ -X POST "https://your-development-store.myshopify.com/admin/api/2026-07/gift_cards/1035197676/adjustments.json" \ -H "X-Shopify-Access-Token: {access_token}" \ -H "Content-Type: application/json"use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = -20; $gift_card_adjustment->note = "Customer spent $20 via external service"; $gift_card_adjustment->post( 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = -20; $gift_card_adjustment->note = "Customer spent $20 via external service"; $gift_card_adjustment->post( test_session, 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = -20; $gift_card_adjustment->note = "Customer spent $20 via external service"; $gift_card_adjustment->post( 1035197676, );response
HTTP/1.1 201 Created{"adjustment":{"id":1064273915,"gift_card_id":1035197676,"api_client_id":755357713,"user_id":null,"order_transaction_id":null,"number":1,"amount":"-20.00","processed_at":"2026-07-01T12:17:01-04:00","created_at":"2026-07-01T12:17:01-04:00","updated_at":"2026-07-01T12:17:01-04:00","note":"Customer spent $20 via external service","remote_transaction_ref":null,"remote_transaction_url":null}}Record a gift card adjustment as if it happened in the past
curl -d '{"adjustment":{"amount":10,"processed_at":"2023-12-15T08:00:00-05:00"}}' \ -X POST "https://your-development-store.myshopify.com/admin/api/2026-07/gift_cards/1035197676/adjustments.json" \ -H "X-Shopify-Access-Token: {access_token}" \ -H "Content-Type: application/json"use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->processed_at = "2023-12-15T08:00:00-05:00"; $gift_card_adjustment->post( 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->processed_at = "2023-12-15T08:00:00-05:00"; $gift_card_adjustment->post( test_session, 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $gift_card_adjustment = new GiftCardAdjustment($this->test_session); $gift_card_adjustment->amount = 10; $gift_card_adjustment->processed_at = "2023-12-15T08:00:00-05:00"; $gift_card_adjustment->post( 1035197676, );response
HTTP/1.1 201 Created{"adjustment":{"id":1064273914,"gift_card_id":1035197676,"api_client_id":755357713,"user_id":null,"order_transaction_id":null,"number":1,"amount":"10.00","processed_at":"2023-12-15T08:00:00-05:00","created_at":"2024-06-15T08:00:00-04:00","updated_at":"2024-06-15T08:00:00-04:00","note":null,"remote_transaction_ref":null,"remote_transaction_url":null}}
Anchor to GET request, Receive a list of all Gift Card AdjustmentsgetReceive a list of all Gift Card Adjustments
Get a list of all adjustments made to a gift card
Get a list of all adjustments made to a gift card
/admin/api/2026-07/gift_ cards/1035197676/adjustments. json
Response
examples
Get a list of all adjustments made to a gift card
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-07/gift_cards/1035197676/adjustments.json" \ -H "X-Shopify-Access-Token: {access_token}"use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $response = admin.rest.resources.GiftCardAdjustment::all( 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $response = GiftCardAdjustment::all( 1035197676, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $response = GiftCardAdjustment::all( 1035197676, );response
HTTP/1.1 200 OK{"adjustments":[{"id":1064273908,"gift_card_id":1035197676,"api_client_id":null,"user_id":null,"order_transaction_id":801038806,"number":null,"amount":"10.00","processed_at":null,"created_at":"2026-07-01T12:15:55-04:00","updated_at":"2026-07-01T12:15:55-04:00","note":"Customer refilled gift card by $10","remote_transaction_ref":null,"remote_transaction_url":null}]}
Anchor to GET request, Receive a single Gift Card AdjustmentgetReceive a single Gift Card Adjustment
Show the details of a particular adjustment
Show the details of a particular adjustment
/admin/api/2026-07/gift_ cards/1035197676/adjustments/1064273908. json
Response
examples
Show the details of a particular adjustment
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-07/gift_cards/1035197676/adjustments/1064273908.json" \ -H "X-Shopify-Access-Token: {access_token}"use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $result = admin.rest.resources.GiftCardAdjustment::find( 1035197676, 1064273908, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $result = GiftCardAdjustment::find( 1035197676, 1064273908, );use Shopify\Rest\Admin2026_07\GiftCardAdjustment; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $result = GiftCardAdjustment::find( 1035197676, 1064273908, );response
HTTP/1.1 200 OK{"adjustment":{"id":1064273908,"gift_card_id":1035197676,"api_client_id":null,"user_id":null,"order_transaction_id":801038806,"number":null,"amount":"10.00","processed_at":null,"created_at":"2026-07-01T12:15:55-04:00","updated_at":"2026-07-01T12:15:55-04:00","note":"Customer refilled gift card by $10","remote_transaction_ref":null,"remote_transaction_url":null}}